{% extends 'project/base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" href="{% static 'project/register.css' %}">
{% endblock css %}
{% block title %}Register{% endblock title %}
{% block content %}
{% if user.is_authenticated %}
<div class="wrapper d-flex flex-column align-items-center justify-content-center">
  <div class="box d-flex flex-column justify-content-center align-items-center">
      <h4 class="title">You've logged in</h4>
      <a href="{% url 'project:index' %}">
          <button type="submit" class="btn btn-light btn-auth align-self-center">Back to Home</button>
      </a>
  </div>
</div>
{% else %}
<div class="wrapper d-flex flex-column align-items-center justify-content-center">
    <div class="box d-flex flex-column justify-content-center align-items-center">
        <h4 class="title">Register</h4>
        <form action="" method="post" class="d-flex flex-column justify-content-center">
            {% csrf_token %}
            <div class="form-group">
                <label for="exampleInputEmail1">Username</label>
                {{form.username}}
                <small class="form-text text-danger form-error">{{ form.errors.username }}</small> 
              </div>
              <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                {{form.password1}}
                <small class="form-text text-danger form-error">{{ form.errors.password1 }}</small> 
              </div>
              <div class="form-group">
                <label for="exampleInputPassword2">Confirm Your Password</label>
                {{form.password2}}
                <small class="form-text text-danger form-error">{{ form.errors.password2 }}</small> 
              </div>
              <button type="submit" class="btn btn-light btn-auth align-self-center">Register</button>
            <p>Already have an account? <a href="{% url 'project:loginPage' %}">Sign In</a></p>
        </form>
    </div>
</div>
{% endif %}
{% endblock content %}
{% block js %}
<script>
    $("input").addClass("form-control");
    $("input").eq(1).attr("placeholder", 'Username...');
    $("input").eq(2).attr("placeholder", 'Enter Password...');
    $("input").eq(3).attr("placeholder", 'Re-Enter Password...');
</script>
{% endblock js %}
